package com.atlassian.bitbucket.internal.branch.model.restriction.type;

import com.atlassian.bitbucket.repository.ref.restriction.RefMatcherType;

import javax.annotation.Nonnull;

public class ModelCategoryMatcherType implements RefMatcherType {

    private static ModelCategoryMatcherType INSTANCE = new ModelCategoryMatcherType();

    public static ModelCategoryMatcherType getInstance() {
        return INSTANCE;
    }


    @Override
    public String getId() {
        return "MODEL_CATEGORY";
    }

    @Nonnull
    @Override
    public String getDisplayId() {
        return "Branching model category";
    }
}
